queue.h File Reference

Classes for an unlimited queue to store bytes. More...

Go to the source code of this file.

## Classes

class | ByteQueue
| Data structure used to store byte strings. More...
class | ByteQueue::Walker
| A ByteQueue iterator. More...
class | LazyPutter
| Helper class to finalize Puts on ByteQueue. More...
class | LazyPutterModifiable
| Helper class to finalize Puts on ByteQueue. More...

## Functions

template<>
void | swap (::ByteQueue &a, ::ByteQueue &b)

## Detailed Description

Classes for an unlimited queue to store bytes.

Definition in file queue.h.

## Function Documentation

## swap()

template<>

void swap | ( | ::ByteQueue & | a,
|  | ::ByteQueue & | b
| ) |  |

inline

Definition at line 265 of file queue.h.